#include<iostream>
using namespace std;
int main()
{
    int br,visina;
    scanf("%d%d", &br, &visina);
    int np=-1, a;
    for(int i=0; i<br; i++){
        scanf("%d", &a);
        if(np!=-1) continue;
        if(a<=visina){
            np=i+1;
        }
    }
    printf("%d\n", np);
    return 0;
}